Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Unit Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::Unit Interface Reference

Unit interface. More...

## Classes
struct | IdentificationStartedEvent
| Event: Unit identification requested. More...
struct | MetaData
| Unit metadata More...
struct | Settings
| Unit settings More...

## Public Types
enum | Orientation { NORMAL , FLIPPED }
| Display orientation. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the unit metadata. More...
Settings | getSettings ()
| Retrieve the unit settings. More...
int | setSettings (in Settings settings)
| Change the unit settings. More...
void | identify (in int seconds)
| Display something distictive to identify the unit. More...
void | muteBuzzer (in boolean mute)
| Mute buzzer, turn of all audible alarms. More...
Orientation | getDisplayOrientation ()
| Retrieve the current orientation of the display. More...

## Public Attributes
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.

## Detailed Description

Unit interface.

## Member Enumeration Documentation

## ◆ Orientation

enum pdumodel::Unit::Orientation

Display orientation.

Enumerator
NORMAL | Normal orientation.
FLIPPED | Upside-down.

## Member Function Documentation

## ◆ getDisplayOrientation()

Orientation pdumodel::Unit::getDisplayOrientation | ( |  | ) |

Retrieve the current orientation of the display.

Returns
  Display orientation.

## ◆ getMetaData()

MetaData pdumodel::Unit::getMetaData | ( |  | ) |

Retrieve the unit metadata.

Returns
  Unit metadata

## ◆ getSettings()

Settings pdumodel::Unit::getSettings | ( |  | ) |

Retrieve the unit settings.

Returns
  Unit settings

## ◆ identify()

void pdumodel::Unit::identify | ( | in int | seconds | ) |

Display something distictive to identify the unit.

Parameters

  seconds | Number of seconds to display the identify string

## ◆ muteBuzzer()

void pdumodel::Unit::muteBuzzer | ( | in boolean | mute | ) |

Mute buzzer, turn of all audible alarms.

Parameters

  mute | `true` to mute buzzer, `false` for normal mode

## ◆ setSettings()

int pdumodel::Unit::setSettings | ( | in Settings | settings | ) |

Change the unit settings.

Parameters

  settings | New unit settings

Returns
  0 if OK
  ERR_INVALID_PARAM if any parameters are invalid

The documentation for this interface was generated from the following file:

- Unit.idl